Documentation for HyperCrunch Druid is available at http://druid.hypercrunch.com

Last edited Dec 5, 2011 at 8:32 PM by techbubble, version 1

Comments

IgorR Sep 18, 2012 at 9:23 PM 
Re: jlojko Today at 12:35 PM

is_wireless_device and is_tablet have been replaced with IsMobile in DNN 6.1.5+

jlojko Sep 18, 2012 at 8:35 PM 
The following code with is_wireless_device or with is_tablet does not match when using a mobile device:

<Rule id="Example7"
debug="false"
matchType="ClientCapability"
matchField="is_wireless_device"
matchCondition="Equal"
matchValues="true"
data-content-renderer="HyperCrunch.Druid.Mobile.SiteRenderer, HyperCrunch.Druid.Mobile">
</Rule>

I managed to get the site renderer to operate by combining the hellodruid match with the data-contant-renderer line. The menu rendered; however, the entries did not execute as anticipated due to a pathing issue.

jlojko Sep 18, 2012 at 8:02 PM 
Druid install as opposed to mobile does not install when running under iis 6.0. We installed the module by adding the standard druid entries in the httpModules section of the web.config and adding HyperCrunch.Druid.dll to the bin. Then install the HyperCrunch and Mobile modules as instructed.

</httpModules>
.
.
<add name="RadUploadModule" type="Telerik.Web.UI.RadUploadHttpModule, Telerik.Web.UI" />
<add name="Detector" type="FiftyOne.Foundation.Mobile.Detection.DetectorModule, FiftyOne.Foundation" />
<add name="DruidModule" type="HyperCrunch.Druid.DruidHttpModule, HyperCrunch.Druid" />
</httpModules>

If this is not done with iis 6.0 the druid.config file does not install.

Once installed successfully the druidized test is successful.

guidokuehler Jul 17, 2012 at 9:10 AM 
We have also Problems by the Mobile-Component install on DNN 06.02.01

Install Hyper Druid Install = OK and works (Tested with hellodruid)
Install Hyper Druid Mobile = Not OK, Detailed Error below.

------------------------------------------------------------------------------------
Error reading the zip package - see below



StartJob

Reading Installation Manifest file



Info

Reading Package Manifest - Library - HyperCrunch.Druid.Mobile



Failure

A dependent component is not installed -